Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ForeignJMSConnectionFactoryMBean

public interface ForeignJMSConnectionFactoryMBean
extends weblogic.management.configuration.ForeignJNDIObjectMBean

This class represents a JMS connection factory that resides on another server, and is accessed via JNDI. A remote connection factory can be used to refer to another instance of WebLogic JMS running in a different cluster or server, or a foreign JMS provider, as long as that provider supports JNDI. This MBean will always be a sub-element of the ForeignJMSServerMBean.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getLocalJNDIName()` The name that the remote object will be bound to in the local server's JNDI tree.
`java.lang.String` | `getPassword()` The password that will be used in conjunction with the user name specified in the "Username" attribute.
`byte[]` | `getPasswordEncrypted()` The encrypted password that will be used in conjunction with the user name specified in the "Username" attribute.
`java.lang.String` | `getRemoteJNDIName()` The name of the remote object that will be looked up in the remote JNDI directory.
`java.lang.String` | `getUsername()` The user name that will be passed when opening a connection to the remote JMS server represented by this connection factory.
`void` | `setLocalJNDIName(java.lang.String name)` The name that the remote object will be bound to in the local server's JNDI tree.
`void` | `setPassword(java.lang.String passwd)` As of 8.1 sp4, this method does the following:
`void` | `setPasswordEncrypted(byte[] encryptedBytes)` Encrypts the user password and sets the value of the PasswordEncrypted attribute.
`void` | `setRemoteJNDIName(java.lang.String name)` The name of the remote object that will be looked up in the remote JNDI directory.
`void` | `setUsername(java.lang.String name)` The user name that will be passed when opening a connection to the remote JMS server represented by this connection factory.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setLocalJNDIName

    public void setLocalJNDIName(java.lang.String name)

  The name that the remote object will be bound to in the local server's JNDI tree. This is the name that should be used to look up the object on the local server.
  Specified by:
    setLocalJNDIName in interface weblogic.management.configuration.ForeignJNDIObjectMBean

  A dynamic MBean attribute
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `name` - The new localJNDIName value

### getLocalJNDIName

    public java.lang.String getLocalJNDIName()

  The name that the remote object will be bound to in the local server's JNDI tree. This is the name that should be used to look up the object on the local server.
  Specified by:
    getLocalJNDIName in interface weblogic.management.configuration.ForeignJNDIObjectMBean

  Returns:
    The localJNDIName value

### setRemoteJNDIName

    public void setRemoteJNDIName(java.lang.String name)

  The name of the remote object that will be looked up in the remote JNDI directory.
  Specified by:
    setRemoteJNDIName in interface weblogic.management.configuration.ForeignJNDIObjectMBean

  A dynamic MBean attribute
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `name` - The new remoteJNDIName value

### getRemoteJNDIName

    public java.lang.String getRemoteJNDIName()

  The name of the remote object that will be looked up in the remote JNDI directory.
  Specified by:
    getRemoteJNDIName in interface weblogic.management.configuration.ForeignJNDIObjectMBean

  Returns:
    The remoteJNDIName value

### setUsername

    public void setUsername(java.lang.String name)

  The user name that will be passed when opening a connection to the remote JMS server represented by this connection factory. If not set, then no user name will be used.

  A dynamic MBean attribute
  Legal NULL: true
  Parameters:
    `name` - The new username value

### getUsername

    public java.lang.String getUsername()

  The user name that will be passed when opening a connection to the remote JMS server represented by this connection factory. If not set, then no user name will be used.

  Returns:
    The username value

### getPassword

    public java.lang.String getPassword()

  The password that will be used in conjunction with the user name specified in the "Username" attribute.

  As of 8.1 sp4, the `getPassword()` method does the following:

  1. Retrieves the value of the `PasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the PasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Returns:
    The password value
  See Also:
    `getPasswordEncrypted()`

### setPassword

    public void setPassword(java.lang.String passwd)

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `PasswordEncrypted` attribute to the encrypted parameter value.

  A dynamic MBean attribute
  A non-configurable MBean attribute.
  Legal NULL: true
  Parameters:
    `passwd` - The new password value
  See Also:
    `setPasswordEncrypted(byte[] bytes)`

### getPasswordEncrypted

    public byte[] getPasswordEncrypted()

  The encrypted password that will be used in conjunction with the user name specified in the "Username" attribute.

  Returns:
    The password value as an encrypted byte array
  See Also:
    `EncryptionHelper`

### setPasswordEncrypted

    public void setPasswordEncrypted(byte[] encryptedBytes)

  Encrypts the user password and sets the value of the PasswordEncrypted attribute.

  A dynamic MBean attribute
  Legal NULL: true
  Parameters:
    `passwd` - The new password value as encrypted byte array
  See Also:
    `getPasswordEncrypted()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD